Bug 820939 - Virtual machines list response xml mismatches with the docs
Virtual machines list response xml mismatches with the docs
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: doc-REST_API_Guide (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Dan Macpherson
doc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 07:41 EDT by Siamak Sadeghianfar
Modified: 2014-01-15 10:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 10:47:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siamak Sadeghianfar 2012-05-11 07:41:49 EDT
Description of problem:
Table 13.1 [1] of RHEV REST API docs states that ip of virtual machine will be returned in the following format:

<guest_info>
   <ip address="" />
</guest_info>

However the return response is:
<guest_info>
  <ips>
     <ip address="" />
  </ips>
</guest_info>


[1] http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.0/html-single/REST_API_Guide/index.html#chap-REST_API_Guide-VMs

Version-Release number of selected component (if applicable): RHEV 3.0


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2014-01-12 03:42:54 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.

Note You need to log in before you can comment on or make changes to this bug.